Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1016770

Summary: Review Request: nodejs-nan - Native Abstractions for Node.js
Product: [Fedora] Fedora Reporter: Troy Dawson <tdawson>
Component: Package ReviewAssignee: Marek Mahut <mmahut>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: jamielinux, mmahut, notting, package-review, tdawson, yohangraterol92
Target Milestone: ---Flags: mmahut: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: nodejs-nan-0.4.4-1.fc19 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-11-23 19:50:00 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806, 1016753, 1039254, 1046660    

Description Troy Dawson 2013-10-08 16:25:25 UTC
Spec URL: http://tdawson.fedorapeople.org/nodejs/nodejs-nan.spec
SRPM URL: http://tdawson.fedorapeople.org/nodejs/nodejs-nan-0.4.1-1.fc20.src.rpm
Description: 
A header file filled with macro and utility goodness
for making add on development for Node.js easier across
versions 0.8, 0.10 and 0.11, and eventually 0.12.

Fedora Account System Username: tdawson

Comment 1 Troy Dawson 2013-10-08 16:31:11 UTC
RPMLINT OUTPUT:
$ rpmlint nodejs-nan-0.4.1-1.fc20.noarch.rpm
... typical node.js spelling warnings ...
nodejs-nan.noarch: W: devel-file-in-non-devel-package /usr/lib/node_modules/nan/nan.h
nodejs-nan.noarch: W: hidden-file-or-dir /usr/lib/node_modules/nan/.index.js
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

- nan.h needs to be in that directory, that is where it is expected.
- .index.js needs to be there. node doesn't recognize nan as a module without it.

Comment 2 Yohan Graterol 2013-10-23 00:19:44 UTC
Don't built :S in Mock...

Comment 3 Troy Dawson 2013-10-23 14:08:28 UTC
It built in koji, which uses mock.

http://koji.fedoraproject.org/koji/taskinfo?taskID=6090200

Please be more specific about what the problem is.

Comment 4 Marek Mahut 2013-11-08 13:42:27 UTC
Troy, can you please rebase on latest 0.4.4? Thank you.

Comment 5 Troy Dawson 2013-11-08 20:27:11 UTC
Spec URL: http://tdawson.fedorapeople.org/nodejs/nodejs-nan.spec
SRPM URL: http://tdawson.fedorapeople.org/nodejs/nodejs-nan-0.4.4-1.fc20.src.rpm

- Updated to latest release: nan 0.4.4

Comment 6 Marek Mahut 2013-11-11 15:49:27 UTC
Builds fine, reference build at http://koji.fedoraproject.org/koji/taskinfo?taskID=6165132

rpmlint in comment #1 are legit. This package is approved.

Comment 7 Troy Dawson 2013-11-11 16:28:31 UTC
New Package SCM Request
=======================
Package Name: nodejs-nan
Short Description: Native Abstractions for Node.js
Owners: tdawson
Branches: f18 f19 f20 el6
InitialCC:

Comment 8 Gwyn Ciesla 2013-11-11 17:14:40 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2013-11-11 19:41:55 UTC
nodejs-nan-0.4.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-nan-0.4.4-1.fc19

Comment 10 Fedora Update System 2013-11-13 02:07:02 UTC
nodejs-nan-0.4.4-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 11 Fedora Update System 2013-11-23 19:50:00 UTC
nodejs-nan-0.4.4-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 12 Jamie Nguyen 2014-04-19 19:39:07 UTC
*** Bug 1089469 has been marked as a duplicate of this bug. ***